/*============================================================================
	File:		0001-01 - reduce TEMPDB to one file.sql

	Summary:	This script creates a demo database which will be used for
				the future demonstration scripts


	Date:		Mrz 2015

	SQL Server Version: 2008 / 2012
------------------------------------------------------------------------------
	Written by Uwe Ricken, db Berater GmbH

	This script is intended only as a supplement to demos and lectures
	given by Uwe Ricken.  
  
	THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
	ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
	TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
	PARTICULAR PURPOSE.
============================================================================*/

-- Prepare TEMPDB for only one file!
DBCC FREEPROCCACHE;
GO

USE TEMPDB;
GO

DBCC SHRINKFILE ('tempdev_02', EMPTYFILE);
DBCC SHRINKFILE ('tempdev_03', EMPTYFILE);
DBCC SHRINKFILE ('tempdev_04', EMPTYFILE);
GO

ALTER DATABASE TEMPDB REMOVE FILE tempdev_02;
ALTER DATABASE TEMPDB REMOVE FILE tempdev_03;
ALTER DATABASE TEMPDB REMOVE FILE tempdev_04;
GO

/* =========================================================================*/
-- Restore the original settings for TEMPDB
ALTER DATABASE tempdb
ADD FILE
(
	NAME = 'tempdev_02',
	FILENAME = 'F:\DATA\tempdb_02.ndf',
	SIZE = 100MB,
	FILEGROWTH = 10MB
);
GO

ALTER DATABASE tempdb
ADD FILE
(
	NAME = 'tempdev_03',
	FILENAME = 'F:\DATA\tempdb_03.ndf',
	SIZE = 100MB,
	FILEGROWTH = 10MB
);
GO

ALTER DATABASE tempdb
ADD FILE
(
	NAME = 'tempdev_04',
	FILENAME = 'F:\DATA\tempdb_04.ndf',
	SIZE = 100MB,
	FILEGROWTH = 10MB
);

SELECT * FROM sys.master_files WHERE database_id = 2;